Update to 1.1.3??

Discussion in 'iPhone' started by kashmoney2006, Jan 22, 2008.

  1. kashmoney2006 macrumors regular

    Joined:
    Dec 12, 2007
    #1
    I have just bought an iphone and it arrived today. i wanted to know that if i upgrade to 1.1.3, will i be able to downgrade if i wanted to, for jailbreaking purposes?? and im assuming that it is easier to jailbreak with 1.1.2 than 1.1.3. am i right?
     
  2. nickspohn macrumors 68040

    nickspohn

    Joined:
    Jun 9, 2007
    #2
    you can keep it at 1.1.2, but you still have to downgrade to 1.1.1 and do some other stuff (check out the hack section) but it's not possible to do it from 1.1.3


    and if you want to update, you don't have to delete anything or do a restore then update, you can just update.
     
  3. ntrigue macrumors 68040

    ntrigue

    Joined:
    Jul 30, 2007
    #3
    A jailbreak method has not been released for 1.1.3. The modem firmware is different and it becomes extremely difficult to downgrade to 1.1.2. That said, you will need to downgrade all the way to 1.0.2 then back to 1.1.1.
     
  4. kashmoney2006 thread starter macrumors regular

    Joined:
    Dec 12, 2007
    #4
    ok so by me upgrading to 1.1.3, will that affect me being able to downgrade?
     
  5. nickspohn macrumors 68040

    nickspohn

    Joined:
    Jun 9, 2007
    #5
    yeah, but i would uprade when the SDK comes out. They aren't releasing the jailbreak for 1.1.3 because of the fact they don't want Apple to know how they did it. So a jailbroken iPhone + SDK Apps = win.
     
  6. kashmoney2006 thread starter macrumors regular

    Joined:
    Dec 12, 2007
    #6
    Ok just to make sure im understanding this right... If i upgrade to 1.1.3, I WILL NOT be able to downgrade. correct? If i can downgrade at a later time, i might as well upgrade for now, then downgrade when im ready to jailbreak. thanks for your help! :)
     
  7. nickspohn macrumors 68040

    nickspohn

    Joined:
    Jun 9, 2007
    #7
    You can downgrade to 1.0.2, but why waste the time.

    You don't have to downgrade later though. You just have won't be able to have a jailbroken iPhone for a little over a month if the SDK is released in late Feb, then you can decide from there.

    So what i would do, is upgrade now to 1.1.3
     

Share This Page